Package org.eclipse.jdt.core.index

## Class JavaIndexerApplication

- java.lang.Object
- - org.eclipse.jdt.core.index.JavaIndexerApplication

All Implemented Interfaces:
  `IApplication`

    public class JavaIndexerApplication
    extends Object
    implements IApplication

Implements an Eclipse Application for `JavaIndexer`.

On MacOS, when invoked using the Eclipse executable, the "user.dir" property is set to the folder in which the eclipse.ini file is located. This makes it harder to use relative paths to point to the files to be jar'd or to the index file that is generated.

Since:
  3.8
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Field Summary

### Fields inherited from interface org.eclipse.equinox.app.IApplication

`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

### Constructor Summary

Constructors
`JavaIndexerApplication()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `start​(IApplicationContext context)`
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaIndexerApplication

    public JavaIndexerApplication()

### Method Detail

#### start

    public Object start​(IApplicationContext context)
                 throws Exception

Specified by:
  `start` in interface `IApplication`
Throws:
  `Exception`

#### stop

    public void stop()

Specified by:
  `stop` in interface `IApplication`